> ## Documentation Index
> Fetch the complete documentation index at: https://docs.publishbuddy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Workspaces the authenticated user can access



## OpenAPI

````yaml /openapi.json get /workspaces
openapi: 3.1.0
info:
  title: PublishBuddy
  version: 0.0.1
servers:
  - url: https://api.publishbuddy.com/v1
security: []
paths:
  /workspaces:
    get:
      tags:
        - Workspace
      summary: Workspaces the authenticated user can access
      operationId: v1.
      parameters:
        - name: Authorization
          in: header
          required: true
          description: JWT token.
          schema:
            type: string
          example: Bearer 123
      responses:
        '200':
          description: Array of `WorkspaceResource`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/WorkspaceResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
components:
  schemas:
    WorkspaceResource:
      type: object
      properties:
        id:
          type: string
          description: ID
        name:
          type: string
          description: Name
        avatar:
          type:
            - string
            - 'null'
          description: Full url of avatar image if existed, otherwise null
      required:
        - id
        - name
        - avatar
      title: WorkspaceResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````